* 2.8.0.26
- Fix build error
== Sangwook Lee <sangwook96.lee@samsung.com> 2022-12-09
* 2.8.0.25
- Init stv_develop for tizen 7.0
== Jingjing geng <jingjin.geng@samsung.com> 2022-12-07
* 2.8.0.24
- Init stv_develop for tizen 6.5
== Jiangang Xu <jiangang.xu@samsung.com> 2021-02-23
* 2.8.0.23.9
- merge public branch
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2020-12-11
* 2.8.0.23.7
- fix earjack plugin/out issue
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2020-11-24
* 2.8.0.23.6
- Removed the dependency of libpng12
== Aditya Aswani <a.aswani@samsung.com> 2020-07-23
* 2.8.0.23.3
- macOS crash patch
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2019-05-15
* 2.8.0.23
- FIX issue plug/unplug sound
- FIX dialog location
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2019-05-15
* 2.8.0.33
- Changing screenshot save logic
== Rahul Dadhich <r.dadhich@samsung.com> 2020-09-22
* 2.8.0.32
- Fix issues and crashes when running multithreaded guest app
- Restore PID/TID display in YaGL logs
== Lukasz Kostyra <l.kostyra@samsung.com> 2020-09-11
* 2.8.0.31
Fix segmentation falut about pid/tid when multithreaded app are working
== Chanwoo Choi <cw00.choi@samsung.com> 2020-07-29
* 2.8.0.30
- Version Up
== Aditya Aswani <a.aswani@samsung.com> 2020-05-07
* 2.8.0.29
- Updated package version for tizen 6.0
== Rahul Dadhich <r.dadhich@samsung.com> 2020-02-07
* 2.8.0.28
- YAGL: Fix emulator launch fail on MAC
== Karthik Bhat <kv.bhat@samsung.com> 2019-05-07
* 2.8.0.27
- Added tizen 5.5 build support
== Rahul Dadhich <r.dadhich@samsung.com> 2018-12-20
* 2.8.0.26
- MAC build error resolved
== Rahul Dadhich <r.dadhich@samsung.com> 2018-11-30
* 2.8.0.25
- Open source Vulnerability fixed
== Rahul Dadhich <r.dadhich@samsung.com> 2018-10-11
* 2.8.0.24
- Svace fix[2]
== Rahul Dadhich <r.dadhich@samsung.com> 2018-09-19
* 2.8.0.23
- fix Svace
== Rahul Dadhich <r.dadhich@samsung.com> 2018-09-11
* 2.8.0.22
- Merge with Develop
== Gaurang Khanwalkar <g.khanwalkar@samsung.com> 2018-08-16
* 2.8.0.21
- VIGS: add h/w conversion from ARGB to XBGR
- Merge with tizen branch
== Karthik Bhat <kv.bhat@samsung.com> 2018-07-31
* 2.8.0.20
- [SATDEVKIT-786]Open source security issues fix
- Added support to install addon rpms
== Rahul Dadhich <r.dadhich@samsung.com> 2018-06-22
* 2.8.0.19
- Increased the timer for long press event as shutdown dialog require longer button delay
== Rahul Dadhich <r.dadhich@samsung.com> 2018-04-13
* 2.8.0.18
- Merge Spin
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2019-02-18
* 2.8.0.17
- Add sdbscript package as install dependency
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2019-02-18
* 2.8.0.16
- Init stv_develop for tizen-5.0
== Joungsun Beak <jounsun.beak@samsung.com> 2018-07-11
* 2.9.8.1
- maru_extinput: remove critical section replace NULL check
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2018-03-15
* 2.9.8
- maru_extinput: add release/get critical section
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2018-03-15
* 2.9.7
- merge branch public_tizen 708bf5de36608796e1046a58ada92f796156ac54
* 2.9.6
- Revert "(Workaround) SDB command for port forwarding - Nacl"
== Joungsun Beak <jounsun.beak@samsung.com> 2017-12-06
* 2.9.5
- merge branch public_tizen
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2017-11-21
* 2.8.0.16
- VIGS: Add support of hardware YUV420 conversion
== Jinhyung Jo <jinhyung.jo@samsung.com> 2017-11-28
* 2.8.0.14
- fix run time error on macos 10.11
== minkee Lee <minkee.lee@samsung.com> 2017-10-23
* 2.8.0.12
- support vfat sdcard since tizen 3.0
== Jinhyung Choi <jinh0.choi@samsung.com> 2017-09-21
* 2.9.2
- merge branch public_tizen
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2017-09-19
* 2.9.1
- change KEY_EXTRA keycode to 377
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2017-09-19
* 2.9.0
- Init stv_develop_4.0
== Joungsun Beak <jounsun.beak@samsung.com> 2017-08-04
* 2.5.34
- merge branch 'develop'
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2017-06-12
* 2.8.0.11
- add checking device state before run command
== Munkyu Im <munkyu.im@samsung.com> 2017-09-05
* 2.8.0.10
- implement hardware surface convert cmd in VIGS
== Jinhyung Jo <jinhyung.jo@samsung.com> 2017-09-01
* 2.8.0.8
- delete skin package from qemu
== jihye kim <jihye424.kim@samsung.com> 2017-08-22
* 2.8.0.6
- add checking mount system for rpm file
== Munkyu Im <munkyu.im@samsung.com> 2017-05-31
* 2.8.0.5
- modify configure for recent OS
== minkee Lee <minkee.lee@samsung.com> 2017-05-15
* 2.8.0.4
- modify TV layout and controller
== Changseok Oh <seok.oh@samsung.com> 2017-04-07
* 2.8.0.3
- fix issue that SDB shell not opened in mac os
- improve the number of controller menu limitation
- controller is extended when button increase
== minkee Lee <minkee.lee@samsung.com> 2017-03-21
* 2.8.0.2
- package: unify packaging regardless of version
== Jinhyung Jo <jinhyung.jo@samsung.com> 2017-03-06
* 2.6.18
- separate package file path by platform version
== Munkyu Im <munkyu.im@samsung.com> 2017-01-02
* 2.6.17
- fix wrong version for platform 2.3.2
== Munkyu Im <munkyu.im@samsung.com> 2016-12-20
* 2.5.33
- configure: modify configure for recent macOS
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2017-06-12
* 2.5.32
- Merge Branch develop (context: support unicode log for launching ECP)
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2017-03-03
* 2.5.31
- (Workaround) SDB command for port forwarding - Nacl
== Jounsun Beak <jounsun.beak@samsung.com> 2017-01-07
* 2.5.30
- Change available pci(HDS) slot number
== Jounsun Beak <jounsun.beak@samsung.com> 2017-01-02
* 2.5.29
- skip uninitialized planes rendering
== Vasily Ulyanov <v.ulyanov@samsung.com> 2017-01-02
* 2.5.28
- change pkginfo.manifest dependency
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2016-12-15
* 2.5.27
- display: W/A for OpenGL context version mismatch
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2016-12-13
* 2.5.26
- merge tizen_studio_1.1_p3.0
== Yeonseok Choi <yeonsuk.choi@samsung.com> 2016-12-09
* 2.5.25
- ui : remove 'open shell' menu
== Taehyeong Lee <time.lee@samsung.com> 2016-12-05
* 2.5.24
- ui : reuse resource when it is reusable
== Taehyeong Lee <time.lee@samsung.com> 2016-11-25
* 2.5.23
- ui : fix smart hub key name, adjust the edge of 2016 smart controller
== Taehyeong Lee <time.lee@samsung.com> 2016-11-25
* 2.5.22
- ui : change smart controller priority
== Taehyeong Lee <time.lee@samsung.com> 2016-11-16
* 2.5.21
- Merge from platform_3.0 into stv_develop
== Jounsun Beak <jounsun.beak@samsung.com> 2016-10-28
* 2.5.20
- ui : change background image, add smart controller
== Taehyeong Lee <time.lee@samsung.com> 2016-11-04
* 2.5.19
- HDS mount tag name changed (filesharex->sdx1)
== Jounsun Beak <jounsun.beak@samsung.com> 2016-10-28
* 2.5.18
- package: update version (2.5.18)
- move to 2.5.18 due to binary package upload
== Taehyeong Lee <time.lee@samsung.com> 2016-09-01
* 2.5.17
- add pedometer sensor device
== SeokYeon Hwang <syeon.hwang@samsung.com> 2016-07-29
* 2.5.15
- new ECP move to tools path
- modify trivial log printing level
== SeokYeon Hwang <syeon.hwang@samsung.com> 2016-07-19
* 2.5.14
- prepare to launch new ecp
== SeokYeon Hwang <syeon.hwang@samsung.com> 2016-07-12
* 2.5.13
- re-upload package
== Munkyu Im <munkyu.im@samsung.com> 2016-07-07
* 2.5.12
- remove extra space for mac os in general skin hw key
== jihye kim <jihye424.kim@samsung.com> 2016-07-04
* 2.5.11
- update emulator prerequisite packages
== Sooyoung Ha <yoosah.ha@samsung.com> 2016-06-28
* 2.5.10
- change default number of hw button to 6 from 4
== jihye kim<jihye424.kim@samsung.com> 2016-06-27
* 2.5.9
- rewrite virtio touchscreen / keyboard device
- introduce yagl protocol version
== Sooyoung Ha <yoosah.ha@samsung.com> 2016-06-16
* 2.5.8
- use rpath based library loading for Linux
== SeokYeon Hwang <syeon.hwang@samsung.com> 2016-06-13
* 2.5.7
- package: remove spice-server dependancy
== Sooyoung Ha <yoosah.ha@samsung.com> 2016-06-09
* 2.5.6
- apply newest libraries
== Sooyoung Ha <yoosah.ha@samsung.com> 2016-06-07
* 2.5.5
- remove tap uninstaller
== Munkyu Im <munkyu.im@samsung.com> 2016-05-25
* 2.5.4
- introduce "force reboot"
== SeokYeon Hwang <syeon.hwang@samsung.com> 2016-04-25
* 2.5.3
- skip GL_ARB_ES3_compatibility check on YaGL initialization
- add "window_position" startup option as optional parameter
== Jinhyung Jo <jinhyung.jo@samsung.com> 2016-03-22
* 2.5.2
- gui: usability improvements & various bug fixes
- audio: support audio hot-plug event for Windows
- maru-tablet & maru-rotary: fix unexpected shutdown issue
- osutil: modified lock mechanism & various improvements
- sdcard: improvement of the status changes
== Jinhyung Jo <jinhyung.jo@samsung.com> 2016-03-08
* 2.5.0
- rebase on QEMU 2.5.0
== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-01-13
* 2.4.8
- clean macos-64 libraries up
== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-12-17
* 2.4.7
- Disable curl as a default
== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-12-16
* 2.4.6
- Rebuild with recent Win32 libraries
- Use SDL2 instead of SDL1.2 on Win32
== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-12-05
* 2.4.5
- Support win64 binary
== SeokYeon Hwang <syeon.hwang@samsung.com> 2015-12-04
* 2.4.2
- YaGL: Bump version with the device and platform
== Jinhyung Jo <jinhyung.jo@samsung.com> 2015-11-06
* 2.4.1
- YaGL: support 64bit guest
== Jinhyung Jo <jinhyung.jo@samsung.com> 2015-11-05
* 2.2.67
- allocate "DriveInfo" to delete the "BlockBackend" automatically
- fix wrong condition
- bug fix of second sdcard attach
== Chulho Song <ch81.song@samsung.com> 2015-09-30
* 2.2.66
- virtio: change device id name
- emul_state: change display resolution fallback
== Minkee Lee <minkee.lee@samsung.com> 2015-10-08
* 2.2.65
- YaGL: Removed a deprecated attribute
- Merge branch 'tizen_2.4_develop' into tizen_3.0_develop
== GiWoong Kim <giwoong.kim@samsung.com> 2015-09-30
* 2.2.64
- fix failing launching multiple VM
== Munkyu Im <munkyu.im@samsung.com> 2015-09-08
* 2.2.63
- version up: for spice enable
== SungMin Ha <sungmin82.ha@samsung.com> 2015-09-07
* 2.2.62
- fix sdb launching error on windows
== Munkyu Im <munkyu.im@samsung.com> 2015-09-04
* 2.2.61
- support multibyte string
== Munkyu Im <munkyu.im@samsung.com> 2015-09-03
* 2.2.47
- move ditto job
== Munkyu Im <munkyu.im@samsung.com> 2015-09-02
* 2.2.46
- wrap path with double quotes
== Munkyu Im <munkyu.im@samsung.com> 2015-09-02
* 2.2.45
- shortcut: modified default close shortcut
== SungMin Ha <sungmin82.ha@samsung.com> 2015-08-20
* 2.2.44
- menu: add a link junction for extension About Dialog
- menu: get drive/swap image path from emul_state
- emul_state: introduced get_swap_image_file()
- emul_state: freed memories those are allocated in runtime
- emul_state: divided up log path
- menu: controller shortcut info updating
- shortcut: refactoring for context menu shortcut
== GiWoong Kim <giwoong.kim@samsung.com> 2015-08-19
* 2.2.43
- enable DPI information on Detailed Info dialog
== GiWoong Kim <giwoong.kim@samsung.com> 2015-08-13
* 2.2.42
- fixed dest dir of emulator binary on DIBS
== Sooyoung Ha <yoosah.ha@samsung.com> 2015-08-05
* 2.2.41
- modify platform version 2.4 -> 3.0
== Sooyoung Ha <yoosah.ha@samsung.com> 2015-08-05
* 2.2.40
- support network disconnect event
== Munkyu Im <munkyu.im@samsung.com> 2015-07-28
* 2.2.39
- remove compilation warning message
== Munkyu Im <munkyu.im@samsung.com> 2015-07-23
* 2.2.38
- sensor - bug fixed for setting value when the device is not initialized.
== Jinhyung Choi <jinh0.choi@samsung.com> 2015-07-21
* 2.2.37
- shortcut: changed rotate and volume key sequence, replace Ctrl by Cmd on mac
- install: back to cocoasudo for graphical sudo on MacOSX
- display: fixed for problem of white screen on windows
- YaGL: Fixed a crash in MacOS with Radeon HD
== Jinhyung Jo <jinhyung.jo@samsung.com> 2015-07-17
* 2.2.36
- modified qt5_destroy
== GiWoong Kim <giwoong.kim@samsung.com> 2015-07-11
* 2.2.34
- fix HW key effect issue on Windows
== GiWoong Kim <giwoong.kim@samsung.com> 2015-07-01
* 2.2.33
- support angular rotation for QT GUI
== Jinhyung Choi <jinh0.choi@samsung.com> 2015-06-24
* 2.2.32
- add include path for jni_md.h
== GiWoong Kim <giwoong.kim@samsung.com> 2015-06-17
* 2.2.31
- set VM path information temporary on new argument parser
== GiWoong Kim <giwoong.kim@samsung.com> 2015-06-10
* 2.2.29
- config: enable qt configuration for windows and mac
== SungMin Ha <sungmin82.ha@samsung.com> 2015-06-03
* 2.2.28
- supports multi HDS
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2015-06-03
* 2.2.27
- apply new package
== Munkyu Im <munkyu.im@samsung.com> 2015-06-01
* 2.2.26
- modify install script
== Munkyu Im <munkyu.im@samsung.com> 2015-05-29
* 2.2.25
- changed inet_listen_opts to local listen socket from ecs
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2015-05-27
* 2.2.24
- send guest IP to java skin
== Munkyu Im <munkyu.im@samsung.com> 2015-05-22
* 2.2.23
- emulator: modified way to set/get skin path
== SungMin Ha <sungmin82.ha@samsung.com> 2015-05-20
* 2.2.22
- config: enable qt configuration for ubuntu
== SungMin Ha <sungmin82.ha@samsung.com> 2015-05-20
* 2.2.21
- patch loader_path
== Munkyu Im <munkyu.im@samsung.com> 2015-05-15
* 2.2.18
- Fix sudoer rule duplication
== Munkyu Im <munkyu.im@samsung.com> 2015-05-13
* 2.2.16
- Fix install script
== Munkyu Im <munkyu.im@samsung.com> 2015-05-08
* 2.2.15
- add wearableO-360x360-1btn skin
== GiWoong Kim <giwoong.kim@samsung.com> 2015-04-30
* 2.2.14
- Fix install script
== Munkyu Im <munkyu.im@samsung.com> 2015-04-28
* 2.2.13
- define wearable-2.4-emulator-qemu-skins in manifest
== GiWoong Kim <giwoong.kim@samsung.com> 2015-04-28
* 2.2.12
- disable qt configuration
== GiWoong Kim <giwoong.kim@samsung.com> 2015-04-24
* 2.2.10
- add Qt library to pre installation checking list
== GiWoong Kim <giwoong.kim@samsung.com> 2015-04-22
* 2.2.9
- display: add a set function for the display type
== GiWoong Kim <giwoong.kim@samsung.com> 2015-04-21
* 2.2.8
- enable qt configuration
== GiWoong Kim <giwoong.kim@samsung.com> 2015-04-20
* 2.2.7
- added rpm file constraint for extra package installation
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2015-04-19
* 2.2.6
- add Qt library linking
== GiWoong Kim <giwoong.kim@samsung.com> 2015-04-14
* 2.2.5
- send ERR msg to ECP when port forwarding is failed.
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2015-04-14
* 2.2.4
- support General Purpose skin in Qt UI
== GiWoong Kim <giwoong.kim@samsung.com> 2015-04-13
* 2.2.3
- Fix port reuse issue
== Munkyu Im <munkyu.im@samsung.com> 2015-03-20
* 2.2.1
- package: version up
== SungMin Ha <sungmin82.ha@samsung.com> 2015-03-11
* 2.0.17
- remote: added required package libgstreamer-vaapi1.0-dev
== Alice Liu <alice.liu@intel.com> 2015-01-18
* 2.0.16
- disable quorum feature to remove dependency on gnutls.
- Fix sdcard detach problem
== Munkyu Im <munkyu.im@samsung.com> 2014-12-24
* 2.0.15
- Merge branch 'tizen_next_qemu_2.2' into tizen_next
== SeokYeon Hwang <syeon.hwang@samsung.com> 2014-12-22
* 2.0.14
- hds: fix a file creation error on windows host.
== Sooyoung Ha <yoosah.ha@samsung.com> 2014-12-05
* 2.0.13
- hax: support smp feature on Windows and Mac OS X.
== Kitae Kim <kt920.kim@samsung.com> 2014-11-24
* 2.0.12
- package: added install dependency for spice-protocol and spice-vdagent
== SungMin Ha <sungmin82.ha@samsung.com> 2014-11-05
* 2.0.11
- web-viewer: added init and shutdown logic of nodejs and websocket
== SungMin Ha <sungmin82.ha@samsung.com> 2014-10-01
* 2.0.10
- spice: modified default scale 1/2
== SungMin Ha <sungmin82.ha@samsung.com> 2014-09-15
* 2.0.9
- maru-camera: Insert the prevent code for when queries default value of controls
- maru-camera: Fix bug that missing the close function to call when error occurs
== Jinhyung Jo <jinhyung.jo@samsung.com> 2014-09-05
* 2.0.8
- spice-server: added auto port setting for tizen
== SungMin Ha <sungmin82.ha@samsung.com> 2014-09-03
* 2.0.7
- nfc: Add getting status
- emulator: add get_emul_serial_port func for logging
- VIGS: Implement plane flip/rotate
- VIGS: Fix texture fetch for GL3
- VIGS: Disable blending by default
- skin: fixed message format for emuld to shutdown
- debugch: fix logging problem when using DEBUGCH
- VIGS: Support YUV420 planar format
- VIGS: Support planar pixel formats
- VIGS: Support underlays and alpha blending
- yagl: modified enable_yagl flag
- tethering: add functions to get connected ip address and port
- tethering: change log function into new style
- brillcodec: clean-up source
- codec: remove unused module
- tethering: improve error cases
- tethering: convert sensor values before sending ecs
- brillcodec: remove redundant memory copy when decoding video
- tethering: remove redundant source when copying ip address
- sdb: fix sdbd port to a dynamic number
- tethering: handle hwkey event and source clean-up
- virtio-9p: fix compilation errors on Windows
- emulator: enhance Makefile for standalone executables
- maru_shm: fix compilation error on Mac OS X
- log: fix runtime error and MacOS build fail
- emulator: fix issue that skin is not started on MacOS
- HAX: fix performance degradation on HAX
- log: modify some emulator.log formats
- brillcodec: remove useless memory copy
- tethering: fix connection failure case
- tethering: provide a function to get framebuffer on Mac OS X
- debugch: Fix DEBUGCH and open flag
- tethering: add a function to get framebuffer in maru_sdl
- tethering: fix connection routine
- build: add pkgconfig path of libpng to build qemu on DIBS of Mac OS X
- skin: detect a system settings change
- build: add libpng and change loader path of it on Mac OS X
- ecs: Add location data set/get
== Jinhyung Jo <jinhyung.jo@samsung.com> 2014-09-01
* 2.0.6
- fix compilation errors on Windows.
- add "-Wno-error=redundant-decls" option on Windows.
- add display feature at tethering.
- add rotation vector at sensor device.
- fix audio encoder at codec device.
== Kitae Kim <kt920.kim@samsung.com> 2014-07-22
* 2.0.5
- add preRequisites in each qemu-common for ubuntu
== hakhyun kim <haken.kim@samsung.com> 2014-07-10
* 2.0.4
- fix bug: qemu crash when entering lock mode
== Tina Zhang <tina.zhang@intel.com> 2014-07-03
* 2.0.3
- guest server: w/a non-blocking socket
== jinhyung choi <jinhyung2.choi@samsung.com> 2014-06-30
* 2.0.1
- sensor device data is modified.
- haptic device is added.
- ecs: guest emuld connection message handling
- thread: changed pthread to qemu mutex
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2014-06-20
* 2.0.0
- Major package version up
== Seokyeon Hwang <syeon.hwang@samsung.com> 2014-06-10
* 1.7.41
- modified some device names <(_) to (-)>
- fix release routine for maru_sdl
== Jinhyung Jo <jinhyung.jo@samsung.com> 2014-05-22
* 1.7.40
- fix screen shot feature
== GiWoong Kim <giwoong.kim@samsung.com> 2014-05-20
* 1.7.39
- Apply Qemu 2.0 on windows.
== Sooyoung Ha <yoosah.ha@samsung.com> 2014-05-13
* 1.7.38
- Apply Qemu 2.0.
== Kitae Kim <kt920.kim@samsung.com> 2014-05-13
* 1.7.37
- added maru_sdl_processing file
== GiWoong Kim <giwoong.kim@samsung.com> 2014-04-28
* 1.7.36
- debug log fix and cli input support
== hakhyun Kim <haken.kim@samsung.com> 2014-04-22
* 1.7.35
- do not call qemu_ds_sdl_update directly
== GiWoong Kim <giwoong.kim@samsung.com> 2014-04-17
* 1.7.34
- fix a booting problem on Mac OS X.
== Kitae Kim <kt920.kim@samsung.com> 2014-04-11
* 1.7.33
- add kernel parameter
== GiWoong Kim <giwoong.kim@samsung.com> 2014-04-10
* 1.7.32
- ecs : sdcard attach/detach support
== hakhyun Kim <haken.kim@samsung.com> 2014-04-09
* 1.7.31
- modify build script on windows and mac.
== Kitae Kim <kt920.kim@samsung.com> 2014-04-04
* 1.7.30
- added enable-libav option to configure
== Kitae Kim <kt920.kim@samsung.com> 2014-04-01
* 1.7.29
- added device ans message
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2014-03-27
* 1.7.28
- include header for Windows
== GiWoong Kim <giwoong.kim@samsung.com> 2014-03-26
* 1.7.27
- block the updating while surface switching
== GiWoong Kim <giwoong.kim@samsung.com> 2014-03-26
* 1.7.26
- added device option for sensor & jack device
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2014-03-20
* 1.7.25
- added build/install dependency for spice server
== SungMin Ha <sungmin82.ha@samsung.com> 2014-03-12
* 1.7.24
- Moved device data into qemu from driver
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2014-03-06
* 1.7.23
- modified SDK version loading
== GiWoong Kim <giwoong.kim@samsung.com> 2014-03-04
* 1.7.22
- removed remote sources for git separation
== SungMin Ha <sungmin82.ha@samsung.com> 2014-02-24
* 1.7.21
- remove ecs port option
== Munkyu Im <munkyu.im@samsung.com> 2014-02-13
* 1.7.20
- modified the routine for framebuffer swapping
== GiWoong Kim <giwoong.kim@samsung.com> 2014-01-27
* 1.7.19
- modified missing lock in hwkey
== SungMin Ha <sungmin82.ha@samsung.com> 2014-01-22
* 1.7.18
- modified prevent defects in hwkey, keyboard
== SungMin Ha <sungmin82.ha@samsung.com> 2014-01-21
* 1.7.17
- removed platform information of install dependency in emulator-qemu-x86
== SungMin Ha <sungmin82.ha@samsung.com> 2014-01-20
* 1.7.16
- added schema for Control Panel menu
== GiWoong Kim <giwoong.kim@samsung.com> 2014-01-15
* 1.7.15
- move General skin to mobile-specific path
== GiWoong Kim <giwoong.kim@samsung.com> 2014-01-13
* 1.7.14
- disabled unstable spice because runtime library dependency
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-01-07
* 1.7.13
- enabled spice
== Sungmin Ha <sungmin82.ha@samsung.com> 2014-01-03
* 1.7.10
- disabled unstable spice
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-12-24
* 1.7.9
- removed reconfigure code in virt-viewer
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-12-24
* 1.7.8
- added required package libvirt-dev to build
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-12-24
* 1.7.7
- added execute permission spice_codegen.py for build
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-12-23
* 1.7.6
- added remote server/client packages spice-gtk, virt-viewer, celt, spice etc.
- modified spice input codes for tizen specific functions
- modified build script and makefile
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-12-23
* 1.7.5
- Use wglMakeCurrent instead of wglMakeContextCurrentARB when possible
== GiWoong Kim <giwoong.kim@samsung.com> 2013-12-19
* 1.7.3
- remove temporary code
== GiWoong Kim <giwoong.kim@samsung.com> 2013-12-09
* 1.7.2
- added reset function for host keyboard
- deleted blank in maru_virtio_hwkey.c
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-12-03
* 1.7.1
- method for initial scale factor value determining
== GiWoong Kim <giwoong.kim@samsung.com> 2013-11-26
* 1.7.0
- Rewrite maru_pm. Rewrite power management codes.
== Seokyeon Hwang <syeon.hwang@samsung.com> 2013-11-19
* 1.6.4
- added schema for host keyboard menu
== GiWoong Kim <giwoong.kim@samsung.com> 2013-11-14
* 1.6.3
- modify protobuf protocol
== Munkyu Im <munkyu.im@samsung.com> 2013-11-12
* 1.6.2
- changed message format when a sdb server registers in guest server
- previously it gets ip, port, serial, but now serial only
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2013-11-07
* 1.6.1
- use gsettings instead of gconftool-2
== Munkyu Im <munkyu.im@samsung.com> 2013-11-04
* 1.6.0
- keep the touch point grabbing while finger rearranging
== GiWoong Kim <giwoong.kim@samsung.com> 2013-10-29
* 1.5.103
- function call re-ordering in arrangeSkin() & etc
== GiWoong Kim <giwoong.kim@samsung.com> 2013-10-17
* 1.5.102
- supports qmp handling for ecs.
- added keep alive checking routine for ecs.
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2013-10-10
* 1.5.101
- fixed sync problem when closing avcodec context.
== Kitae Kim <kt920.kim@samsung.com> 2013-09-30
* 1.5.97
- YAGL module is excluded from the build on MacOS in temparary.
== Jinhyung Jo <jinhyung.jo@samsung.com> 2013-09-27
* 1.5.96
- remove Wow6432Node
== jihye kim <jihye1128.kim@samsung.com> 2013-09-17

* 1.5.95
- modified skin info
== GiWoong Kim <giwoong.kim@samsung.com> 2013-09-16
* 1.5.94
- fixed the bug
- change finding java path routine at 64bit windows (add Wow6432Node)
== jihye kim <jihye1128@samsung.com> 2013-09-16

* 1.5.93
- rebase QEMU onto 1.6.
== Kitae Kim <kt920.kim@samsung.com> 2013-09-13
* 1.5.92
- make skins package for windows/macos
== GiWoong Kim <giwoong.kim@samsung.com> 2013-09-10
* 1.5.91
- make skins package for ubuntu
== GiWoong Kim <giwoong.kim@samsung.com> 2013-09-10
* 1.5.88
- modified test.hb.ignore to hb.ignore and add conditional sentence for remote excution
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-09-04
* 1.5.87
- modified SDL logic
== GiWoong Kim <giwoong.kim@samsung.com> 2013-09-03
* 1.5.86
- change space to tab
== Munkyu Im <munkyu.im@samsung.com> 2013-09-02
* 1.5.85
- modify build script
== Munkyu Im <munkyu.im@samsung.com> 2013-09-02
* 1.5.84
- apply emulator-lib-dev package for windows-32
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-08-29
* 1.5.83
- apply emulator-lib-dev package
== Munkyu Im <munkyu.im@samsung.com> 2013-08-28
* 1.5.82
- remove sdb notification
== Munkyu Im <munkyu.im@samsung.com> 2013-08-26
* 1.5.81
- modified sdb port
== Munkyu Im <munkyu.im@samsung.com> 2013-08-21
* 1.5.80
- modified skin info.ini
== GiWoong Kim <giwoong.kim@samsung.com> 2013-08-20
* 1.5.77
- modified lib linking on Windows
== GiWoong Kim <giwoong.kim@samsung.com> 2013-08-13
* 1.5.76
- added blank guide image
== GiWoong Kim <giwoong.kim@samsung.com> 2013-08-12
* 1.5.75
- modify sdb port
== Munkyu Im  <munkyu.im@samsung.com> 2013-08-08
* 1.5.74
- updated binary package names
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-08-07
* 1.5.73
- print the time information to the debug channel output
== GiWoong Kim <giwoong.kim@samsung.com> 2013-08-05
* 1.5.72
- modified location of protobuf
- changed skin process for ecp
== Jinhyung Choi <jinhyung2.choi@samsung.com> 2013-07-31
* 1.5.71
- merge ecp branch into develop
- evdi, nfc and sensor device added
- control server added
- protocol buffer applied
== DaiYoung Kim <daiyoung777.kim@samsung.com> 2013-07-26
* 1.5.70
- modified structure of virtio-hwkey
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-07-25
* 1.5.69
- support multiple linux distro when installing and removing this package.
== Kitae Kim <kt920.kim@samsung.com> 2013-07-16
* 1.5.68
- changed sh to bash in the install and remove script.
== Kitae Kim <kt920.kim@samsung.com> 2013-07-11
* 1.5.67
- Modified messages in the install and remove script files.
== Kitae Kim <kt920.kim@samsung.com> 2013-07-11
* 1.5.66
- Modified install script to use TSUDO on Linux.
== Kitae Kim <kt920.kim@samsung.com> 2013-07-11
* 1.5.61
- cancel a scrollbar timer
== GiWoong Kim <giwoong.kim@samsung.com> 2013-07-01
* 1.5.59
- remove notifying to sdb server
== GiWoong Kim <giwoong.kim@samsung.com> 2013-06-29
* 1.5.56
- apply a custom scrollbar to KeyWindow
== GiWoong Kim <giwoong.kim@samsung.com> 2013-06-24
* 1.5.52
- position correction for emulator window
== GiWoong Kim <giwoong.kim@samsung.com> 2013-06-19
* 1.5.50
- modified keycode for 480x800-3btn
== GiWoong Kim <giwoong.kim@samsung.com> 2013-06-14
* 1.5.47
- Modified guest_server to support multi SDK installation.
== Seokyeon Hwang <syeon.hwang@samsung.com> 2013-06-11
* 1.5.46
- added 3btn skins
== GiWoong Kim <giwoong.kim@samsung.com> 2013-06-04
* 1.5.41
- erase unused variable in virtio-keyboard
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-05-21
* 1.5.38
- modified process of using virtio keyboard queue and added key release event when context menu is activated
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-05-14
* 1.5.37
- call setBounds of display in arrangeSkin on only mac
== GiWoong Kim <giwoong.kim@samsung.com> 2013-05-06
* 1.5.34
- apply patch modified by Fengqian.Gao
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-04-29
* 1.5.33
- Remove a shared memory if not using it anymore
== GiWoong Kim <giwoong.kim@samsung.com> 2013-04-25
* 1.5.32
- Fix the slideshow problem of gallery app.
== Sangjin Kim <sangjin3.kim@samsung.com> 2013-04-23
* 1.5.29
- synchronization of display updating
== GiWoong Kim <giwoong.kim@samsung.com> 2013-04-17
* 1.5.28
- Fix pBuffer issue for xcomposite.
== Sangjin Kim <sangjin3.kim@samsung.com> 2013-04-16
* 1.5.27
- Change the FB configs limitaion from 10 to 32 for each process.
== Sangjin Kim <sangjin3.kim@samsung.com> 2013-04-12
* 1.5.26
- Add glFinish() after AGL function aglTexImagePBuffer() cause of pbuffer bug on MAC os.
== Sangjin Kim <sangjin3.kim@samsung.com> 2013-04-11
* 1.5.25
- Do not exit if log directory is deleted on runtime.
== Seokyeon Hwang <syeon.hwang@samsung.com> 2013-04-10
* 1.5.24
- increased virtio keyboard queue and fixed overwrite bug
== SungMin Ha <sungmin82.ha@samsung.com> 2013-04-06
* 1.5.23
- no need to get the shmkey from another shm
== GiWoong Kim <giwoong.kim@samsung.com> 2013-04-03
* 1.5.18
- modified skin's dbi file for key code of phone shape
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-03-29
* 1.5.17
- modified elem index and mutex lock in virtio-kbd
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-03-29
* 1.5.16
- modified Makefile to library load on mac from check-gl
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-03-26
* 1.5.15
- Fix dibs build error.
== Sangjin Kim <sangjin3.kim@samsung.com> 2013-03-21
* 1.5.14
- Generate check-gl binary to use at an emulator-manager.
== Sangjin Kim <sangjin3.kim@samsung.com> 2013-03-21
* 1.5.13
- Enable pbuffer surface.
== Sangjin Kim <sangjin3.kim@samsung.com> 2013-03-20
* 1.5.12
- modified virtio hwkey device and improved hwkey mapping
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-03-20
* 1.5.10
- moved kvm script files from qemu-common to qemu-x86 package.
== Kitae Kim <kt920.kim@samsung.com> 2013-03-15
* 1.5.9
- update a display when window is de-iconified
== GiWoong Kim <giwoong.kim@samsung.com> 2013-03-13
* 1.5.8
- arrange the PairTag
== GiWoong Kim <giwoong.kim@samsung.com> 2013-03-11
* 1.5.7
- added routine in case that there is no gksudo.
== Kitae Kim <kt920.kim@samsung.com> 2013-03-08
* 1.5.06
- added tool window style to Key window
== GiWoong Kim <giwoong.kim@samsung.com> 2013-03-08
* 1.5.05
- Sync-up with latest release source code.
== Sangjin Kim <sangjin3.kim@samsung.com> 2013-03-04
* 1.5.04
- modified path separator
== GiWoong Kim <giwoong.kim@samsung.com> 2013-02-25
* 1.5.00
- added virtio hwkey device
== GiWoong Kim <giwoong.kim@samsung.com> 2013-02-21
* 1.4.90
- added bottom half instead of mloop
== GiWoong Kim <giwoong.kim@samsung.com> 2013-02-15
* 1.4.83
- update version
== Munkyu Im <munkyu.im@samsung.com> 2013-02-04
* 1.4.81
- call setSize after pack the shell
== GiWoong Kim <giwoong.kim@samsung.com> 2013-02-04
* 1.4.76
- update version
== jihye kim <jihye1128.kim@samsung.com> 2013-01-29
* 1.4.75
- prepare 10 colors for Pair Tag
== GiWoong Kim <giwoong.kim@samsung.com> 2013-01-25
* 1.4.72
- Changed host keyboard status routine on OS X.
== Kitae Kim <kt920.kim@samsung.com> 2013-01-24
* 1.4.71
- modified screenshot operation when vga is not ready
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-01-23
* 1.4.70
- remove shared memory leak on Mac
== GiWoong Kim <giwoong.kim@samsung.com> 2013-01-22
* 1.4.68
- package version up
== Munkyu Im <munkyu.im@samsung.com> 2013-01-21
* 1.4.67
- substitute schedule function for scheduleAtFixedRate
== GiWoong Kim <giwoong.kim@samsung.com> 2013-01-19
* 1.4.65
- Fix emulator crash when using EffectsApp.
== Sangjin Kim <sangjin3.kim@samsung.com> 2013-01-17
* 1.4.64
- removed ifndef for screenshot
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-01-17
* 1.4.63
- activate event handling
== GiWoong Kim <giwoong.kim@samsung.com> 2013-01-17
* 1.4.61
- modify popup system
== Munkyu Im <munkyu.im@samsung.com> 2013-01-16
* 1.4.60
- Fixed a problem about displayed useless line on screenshot
== Sungmin Ha <sungmin82.ha@samsung.com> 2013-01-16
* 1.4.59
- removed setFocus on mac
== GiWoong Kim <giwoong.kim@samsung.com> 2013-01-16
* 1.4.57
- modify init process
== Munkyu Im <munkyu.im@samsung.com> 2013-01-16
* 1.4.56
- modified include path
== GiWoong Kim <giwoong.kim@samsung.com> 2013-01-15
* 1.4.54
- Fix compilation warnings
== GiWoong Kim <giwoong.kim@samsung.com> 2013-01-15
* 1.4.52
- control the focus in general skin
== GiWoong Kim <giwoong.kim@samsung.com> 2013-01-14
* 1.4.48
- switch the z-order between main window and key window
== GiWoong Kim <giwoong.kim@samsung.com> 2013-01-11
* 1.4.45
- Fixed a problem about emulator boot on Mac.
== Kitae Kim <kt920.kim@samsung.com> 2013-01-11
* 1.4.44
- fix proxy error handling
== Munkyu Im <munkyu.im@samsung.com> 2013-01-10
* 1.4.43
- Fixed a problem about closing skin module.
== Kitae Kim <kt920.kim@samsung.com> 2013-01-10
* 1.4.42
- change tmp file path
== Munkyu Im <munkyu.im@samsung.com> 2013-01-09
* 1.4.41
- fix dynamic loading library path
== Munkyu Im <munkyu.im@samsung.com> 2013-01-04
* 1.4.40
- version up
== Munkyu Im <munkyu.im@samsung.com> 2013-01-03
* 1.4.39
- version up
== Sooyoung Ha <yoosah.ha@samsung.com> 2013-01-03
* 1.4.38
- fix gl capability check fail on windows intel graphics machine.
== Sangjin Kim <sangjin3.kim@samsung.com> 2012-12-28
* 1.4.37
- Fixed a memory leak while decoding video.
== Kitae Kim <kt920.kim@samsung.com> 2012-12-28
* 1.4.36
- modify Makefile
== Munkyu Im <munkyu.im@samsung.com> 2012-12-28
* 1.4.35
- sync up the focus between main window and key window
== GiWoong Kim <giwoong.kim@samsung.com> 2012-12-28
* 1.4.33
- fix getting proxy
== Munkyu Im <munkyu.im@samsung.com> 2012-12-27
* 1.4.32
- Apply sdb script file
== Munkyu Im <munkyu.im@samsung.com> 2012-12-21
* 1.4.31
- Fixed a bug when audio some codecs are decoded simultaneously.
- Source clean-up and codec device can decode a number of audio codecs concurrently.
== Kitae Kim <kt920.kim@samsung.com> 2012-12-18
* 1.4.30
- hide a shell while emulator rotation/scaling
== GiWoong Kim <giwoong.kim@samsung.com> 2012-12-17
* 1.4.29
- Add function prototypt to virtio.h
== Sooyoung Ha <yoosah.ha@samsung.com> 2012-12-14
* 1.4.28
- comment out arm build
== Sooyoung Ha <yoosah.ha@samsung.com> 2012-12-14
* 1.4.27
- version up
== Sooyoung Ha <yoosah.ha@samsung.com> 2012-12-14
* 1.4.26
- add arm build
== Munkyu In <munkyu.im@samsung.com> 2012-12-12
* 1.4.24
- add configure option
== Munkyu In <munkyu.im@samsung.com> 2012-12-11
* 1.4.23
- Open the key window as default
== GiWoong Kim <giwoong.kim@samsung.com> 2012-12-10
* 1.4.21
- Added multi-touch control scenario
== GiWoong Kim <giwoong.kim@samsung.com> 2012-12-08
* 1.4.20
- wrong argument was passed into emulator configure.
== Kitae Kim <kt920.kim@samsung.com> 2012-12-07
* 1.4.19
- wrong size of qemu package has been uploaded in the previous package.
== Kitae Kim <kt920.kim@samsung.com> 2012-12-07
* 1.4.18
- Modified build script files.
== Kitae Kim <kt920.kim@samsung.com> 2012-12-07
* 1.4.17
- apply nine-patch
== GiWoong Kim <giwoong.kim@samsung.com> 2012-12-06
* 1.4.16
- Added double quotation mark for path
== GiWoong Kim <giwoong.kim@samsung.com> 2012-12-06
* 1.4.15
- rearrange finger image when rotate
== Munkyu In <munkyu.im@samsung.com> 2012-11-29
* 1.4.14
- remove unnecessary double quotation mark
== Munkyu In <munkyu.im@samsung.com> 2012-11-29
* 1.4.13
- fix string length checking of skin args
== Munkyu In <munkyu.im@samsung.com> 2012-11-29
* 1.4.12
- Text dimming issue fix at windows with nvidia card.
== Sangjin Kim <sangjin3.kim@samsung.com> 2012-11-28
* 1.4.11
- Key window renewal
== GiWoong Kim <giwoong.kim@samsung.com> 2012-11-26
* 1.4.10
- Set the display bounds before pack the shell
== GiWoong Kim <giwoong.kim@samsung.com> 2012-11-22
* 1.4.6
- Fix EGL_BAD_ALLOC error when using pixmap surface repeatedly.
== Sangjin Kim <sangjin3.kim@samsung.com> 2012-11-22
* 1.4.5
- Enable Host Keyboard menu from advanced popup.
== Kitae Kim <kt920.kim@samsung.com> 2012-11-14
* 1.4.4
- Apply qemu_ld/st optimization according to QEMU 1.2
== Yeongkyoon Lee <yeongkyoon.lee@samsung.com> 2012-11-08
* 1.4.3
- Added libattr1-dev, libcap library
- Added libattr1-dev, libcap library
== GiWoong Kim <giwoong.kim@samsung.com> 2012-11-08
* 1.3.69
- Fix the crashed problem of emulator with haxm.
- haxm has conflicted with kvmvapic.bin file.
== Kitae Kim <kt920.kim@samsung.com> 2012-11-01
* 1.3.68
- The camera device for Windows supports RGB24 and I420 image formats, in additionally.
- The range of brightness level has been changed.(1 ~ 24 => 0 ~ 100)
== Jinhyung Jo <jinhyung.jo@samsung.com> 2012-10-31
* 1.3.67
- Fix build error on macos.
- vga_common_init function has been changed since QEMU 1.2.
== Kitae Kim <kt920.kim@samsung.com> 2012-10-30
* 1.3.66
- Merge tizen_arm branch into develop branch.
- Merge arm qemu source for emulator into x86 qemu source.
== Kitae Kim <kt920.kim@samsung.com> 2012-10-30
